0

The KyngChaos method is the one-stop shop for Mac users to install QGIS. This page has links to the critical frameworks and python modules, which he graciously packages and maintains himself. Have people have had success selectively installing some of those components but not others? Or replacing them with updates? Which packages are mission critical, and which ones can be replaced or updated?

I have had installed the KyngChaos versions of numpy (v. 1.9.2), scipy (0.16.0), and matplotlib (v. 1.4.3). I have uninstalled these versions of numpy and scipy, removed the .pth overrides in order to update via sudo pip install -U, and have had no adverse effects (yet). But QGIS does not like it if you do the same with matplotlib.

  • see Upgrade matplotlib used within QGIS – gene Jan 17 '18 at 16:03
  • @gene 's link helps address the question. is there any more definitive experience on updating different modules? – grad student Jan 17 '18 at 16:42
  • Yes because I updated all the modules (numpy, scipy) because I work mostly with Python alone – gene Jan 17 '18 at 17:21
  • You can also use Virtual Environments – gene Jan 17 '18 at 17:43

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.